AccountController Class |
Namespace: Dundas.BI.WebApi.Controllers
The AccountController type exposes the following members.
| Name | Description | |
|---|---|---|
| AccountController |
Initializes a new instance of the AccountController class.
|
| Name | Description | |
|---|---|---|
| ChangePassword | POST /Account/ChangePassword/
Updates the password for the current account, or if an account ID is specified, the password for the specified account.
| |
| ClearExternalGroupCache | POST /Account/ClearExternalGroupCache/{id}
Clears the external group cache for the specified account.
| |
| ConvertWindowsAccountToExternalAccount | POST /Account/ConvertWindowsAccountToExternalAccount/{id}
Converts a Windows user/group account to an External user/group account.
| |
| CreateAccount | POST /Account/
Creates a user account of the requested type.
| |
| DeleteAccount | DELETE /Account/{id}
Deletes an account.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GetAccountById | GET /Account/{id}
Gets a user account.
| |
| GetAccountByName | POST /Account/Name/
Gets a user account.
| |
| GetAccountInfoById | GET /Account/Info/{id}
Gets the account info for the account ID.
| |
| GetAccountInfoByName | POST /Account/InfoName
Gets the account by name.
| |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetUserData | GET /Account/UserData/{id}
Gets the user data for the specified account.
| |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| PromoteVirtualAccount | POST /Account/PromoteVirtualAccount/{id}
Promotes the virtual account to a non-virtual account.
| |
| QueryAccountInfos | POST /Account/QueryInfos/
Gets information about multiple user accounts.
| |
| QueryAccounts | POST /Account/Query/
Gets multiple user accounts.
| |
| QueryNumberOfAccounts | POST /Account/Count/
Gets the number of accounts that match the filter.
| |
| RefreshAccountPropertiesFromActiveDirectory | POST /Account/RefreshAccountPropertiesFromActiveDirectory/{id}
Refreshes the values of account properties from Active Directory (e.g. email address, display name).
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| UpdateAccount | PUT /Account/{id}
Updates a user account.
| |
| UpdateCustomAttributesForAccount | POST /Account/UpdateCustomAttributesForAccount/{id}
Updates the custom attributes for the specified account.
| |
| UpdateLastLogOnIpAddress | PUT /Account/IpAddress/{id}
Updates a user account's last logon IP address.
| |
| ValidAccountTypes | GET /Account/ValidAccountTypes
Gets a list of the account types that are currently relevant for the application.
| |
| ValidatePassword | POST /Account/ValidatePassword/
Validates the password against the current password policy.
| |
| WriteUserData | POST /Account/UserData/{id}
Writes user data in the account.
|